{
    onStart(pokemon) {
        if (pokemon.side.totalFainted) {
            this.add("-activate", pokemon, "ability: Supreme Overlord");
            const fallen = Math.min(pokemon.side.totalFainted, 5);
            this.add("-start", pokemon, `fallen${fallen}`, "[silent]");
            this.effectState.fallen = fallen;
        }
    },
    onEnd(pokemon) {
        this.add("-end", pokemon, `fallen${this.effectState.fallen}`, "[silent]");
    },
    onBasePowerPriority: 21,
    onBasePower(basePower, attacker, defender, move) {
        if (this.effectState.fallen) {
            const powMod = [4096, 4301, 4506, 4710, 4915, 5120];
            this.debug(`Supreme Overlord boost: ${powMod[this.effectState.fallen]}/4096`);
            return this.chainModify([powMod[this.effectState.fallen], 4096]);
        }
    },
    flags: {},
    name: "Supreme Overlord",
    rating: 4,
    num: 293
}
